# draugr.opencv_utilities.raster_sequences.async_video_stream.AsyncVideoStream

class draugr.opencv_utilities.raster_sequences.async_video_stream.AsyncVideoStream(src: Union [ int , str ] = 0, thread_name: Optional [ str ] = None, group: Optional [ Any ] = None)

  Bases: `object`

  description

  __init__(src: Union [ int , str ] = 0, thread_name: Optional [ str ] = None, group: Optional [ Any ] = None)

    threaded async wrapper around opencv cv2.VideoCapture with alike interface

    Parameters

      - src –

      - thread_name –

  Methods

  `__init__`([src, thread_name, group]) | threaded async wrapper around opencv cv2.VideoCapture with alike interface
  `isOpened`() | description
  `read`() | description
  `start`() | # start the thread to read frames from the video stream
  `stop`() | description
  `update`() | description

  isOpened()

    description

  read()

    description

  start()

    > # start the thread to read frames from the video stream

    Returns

  stop()

    description

  update()

    description